## lxml 4.2.4

=== debian/changelog ===
lxml (4.2.4-1) unstable; urgency=medium

  * New upstream version 4.2.4.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Aug 2018 14:59:17 +0200

lxml (4.2.3-1) unstable; urgency=medium

  * New upstream version 4.2.3.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jul 2018 14:43:51 +0200
