## lxml 4.2.5

=== debian/changelog ===
lxml (4.2.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 28 Nov 2018 14:07:40 -0500

lxml (4.2.5-1) unstable; urgency=medium

  * New upstream version 4.2.5.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Sep 2018 16:47:04 +0200
