## lxml 4.3.0

=== debian/changelog ===
lxml (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jan 2019 10:04:35 +0100
