## lxml 4.3.1

=== debian/changelog ===
lxml (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Feb 2019 16:27:45 +0100
