=== debian/changelog ===
lxml (4.3.2-1+deb10u4) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Cleaner: Prevent "@import" from re-occurring in the CSS after
    replacements, e.g. "@@importimport" (CVE-2021-43818) (Closes: #1001885)
  * Cleaner: Remove SVG image data URLs since they can embed script content
    (CVE-2021-43818) (Closes: #1001885)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 12 Jan 2022 17:58:11 +0100

lxml (4.3.2-1+deb10u3) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-28957 (Closes: #985643)
    Due to missing input sanitization, XSS is possible for the HTML5
    formatcion attribute.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 23 Mar 2021 19:03:02 +0100

lxml (4.3.2-1+deb10u2) buster-security; urgency=medium

  * Enable the test suite (non-fatal).
  * math-svg.patch: update expected results for the test suite.
  * Fix regression in Python 2 in the last part of CVE-2020-27783.
    Closes: #977387.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Dec 2020 10:05:56 +0100

lxml (4.3.2-1+deb10u1) buster-security; urgency=medium

  * CVE-2020-27783
  * Backport a105ab8dc262ec6735977c25c13f0bdfcdec72a7 for similar issue
  * Pass --with-cython to make sure the C parts get actually rebuilt

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 26 Nov 2020 19:32:59 +0100

lxml (4.3.2-1) unstable; urgency=medium

  * New upstream version.
    - Fix crash in 4.3.1 when appending a child subtree with certain text nodes.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Mar 2019 16:27:09 +0100
