## lxml 4.3.3

=== debian/changelog ===
lxml (4.3.3-2) unstable; urgency=medium

  * python-lxml-doc: Recommend python3-lxml instead of python-lxml.

 -- Matthias Klose <doko@debian.org>  Wed, 22 May 2019 14:42:58 +0200

lxml (4.3.3-1) unstable; urgency=medium

  * New upstream version.
    - Fix leak of output buffer and unclosed files in
      ``_XSLTResultTree.write_output()``.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Apr 2019 10:49:36 +0200
