=== debian/control ===
--- 
+++ 
@@ -89,7 +89,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: python-lxml
+Recommends: python3-lxml
 Description: pythonic binding for the libxml2 and libxslt libraries (documentation)
  lxml is a new Python binding for libxml2 and libxslt, completely
  independent from these existing Python bindings.
