## lxml 4.4.1

=== debian/changelog ===
lxml (4.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Aug 2019 19:27:20 +0200

lxml (4.3.4-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Jun 2019 13:18:04 +0200
