=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
   python-html5lib, python3-html5lib,
   cython, cython-dbg, cython3, cython3-dbg,
 X-Python-Version: all
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://lxml.de/
 
 Package: python-lxml
