=== debian/changelog ===
lxml (4.4.2-1) unstable; urgency=medium

  * New upstream version.
  * python-lxml-dbg: Depend on python2-dbg instead of python-dbg.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jan 2020 13:55:11 +0100
