=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
   python-html5lib, python3-html5lib,
   cython, cython-dbg, cython3, cython3-dbg,
 X-Python-Version: all
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://lxml.de/
 
 Package: python-lxml
@@ -42,7 +42,7 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Depends: python-lxml (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
+Depends: python-lxml (= ${binary:Version}), python2-dbg, ${shlibs:Depends}, ${misc:Depends}
 Description: pythonic binding for the libxml2 and libxslt libraries (debug extension)
  lxml is a new Python binding for libxml2 and libxslt, completely
  independent from existing Python bindings.
