=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lxml
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9),
   dh-python,
   python-all-dev (>= 2.6.6-1~), python-all-dbg,
@@ -13,7 +14,7 @@
   python-html5lib, python3-html5lib,
   cython, cython-dbg, cython3, cython3-dbg,
 X-Python-Version: all
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://lxml.de/
 
 Package: python-lxml
