=== debian/control ===
--- 
+++ 
@@ -3,52 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
   dh-python,
-  python-all-dev (>= 2.6.6-1~), python-all-dbg,
   python3-all-dev (>= 3.3.3), python3-all-dbg,
-  python-pyrex (>= 0.9.4.1),
   libxml2-dev, libxslt1-dev, zlib1g-dev,
-  python-setuptools, python3-setuptools (>= 0.6.29),
-  python-bs4, python3-bs4,
-  python-html5lib, python3-html5lib,
-  cython, cython-dbg, cython3, cython3-dbg,
+  python3-setuptools (>= 0.6.29),
+  python3-bs4,
+  python3-html5lib,
+  cython3, cython3-dbg,
 X-Python-Version: all
 Standards-Version: 4.5.0
 Homepage: http://lxml.de/
-
-Package: python-lxml
-Architecture: any
-Multi-Arch: same
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Recommends: python-bs4, python-html5lib
-Suggests: python-lxml-dbg, python-lxml-doc
-Description: pythonic binding for the libxml2 and libxslt libraries
- lxml is a new Python binding for libxml2 and libxslt, completely
- independent from existing Python bindings. Its aim:
- .
-   * Pythonic API.
-   * Documented.
-   * Use Python unicode strings in API.
-   * Safe (no segfaults).
-   * No manual memory management!
- .
- lxml aims to provide a Pythonic API by following as much as possible
- the ElementTree API, trying to avoid inventing too many new APIs,
- or the user's having to learn new things -- XML is complicated enough.
-
-Package: python-lxml-dbg
-Priority: optional
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: python-lxml (= ${binary:Version}), python2-dbg, ${shlibs:Depends}, ${misc:Depends}
-Description: pythonic binding for the libxml2 and libxslt libraries (debug extension)
- lxml is a new Python binding for libxml2 and libxslt, completely
- independent from existing Python bindings.
- .
- This package contains the extension built for the Python debug interpreter.
 
 Package: python3-lxml
 Architecture: any
