=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-PYVERS	:= $(shell pyversions -vs)
-PYVER	:= $(shell pyversions -vd)
 
 PY3VERS	:= $(shell py3versions -vs)
 PY3VER	:= $(shell py3versions -vd)
@@ -21,17 +18,9 @@
 
 build-arch: build
 build-indep: build
-build: build-stamp build3-stamp
-build-stamp: $(PYVERS:%=build-python%) $(PYVERS:%=dbg-build-python%) $(PYVERS:%=check-python%)
-	touch $@
-build-python%: prebuild
-	python$* setup.py build --with-cython
-	touch $@
-dbg-build-python%: prebuild
-	python$*-dbg setup.py build --with-cython
-	touch $@
+build: build3-stamp
 
-build3-stamp: $(PY3VERS:%=build3-python%) $(PY3VERS:%=dbg-build3-python%) $(PY3VERS:%=check-python%)
+build3-stamp: $(PY3VERS:%=build3-python%) $(PY3VERS:%=dbg-build3-python%)
 	touch $@
 build3-python%: prebuild
 	python$* setup.py build --with-cython
@@ -40,17 +29,10 @@
 	python$*-dbg setup.py build --with-cython
 	touch $@
 
-check-python%:
-	python$* setup.py build_ext -i
-	-python$* test.py -vv
-	#python$*-dbg setup.py build_ext -i
-	#-python$*-dbg test.py -vv
-	touch $@
-
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build*-stamp build*-python* dbg-build*-python* prebuild-stamp check-python*
+	rm -f build*-stamp build*-python* dbg-build*-python* prebuild-stamp
 	rm -rf build dist __pycache__
 #	rm -f src/lxml/lxml.etree_api.h src/lxml/lxml.etree.c \
 #	      src/lxml/lxml.etree.h src/lxml/lxml.objectify.c
@@ -60,7 +42,7 @@
 	rm -f src/lxml/lxml-version.h
 	dh_clean 
 
-install: build install-prereq $(PYVERS:%=install-python%) $(PYVERS:%=dbg-install-python%) $(PY3VERS:%=install3-python%) $(PY3VERS:%=dbg-install3-python%)
+install: build install-prereq $(PY3VERS:%=install3-python%) $(PY3VERS:%=dbg-install3-python%)
 	-find debian -name '*.py[co]' | xargs rm -f
 	-find debian -name __pycache__ | xargs rm -rf
 	rm -rf debian/python*-lxml/usr/lib/python
@@ -69,20 +51,6 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-
-install-python%:
-	mkdir -p debian/python-lxml/usr/bin
-	mkdir -p debian/python-lxml/$(call py_libdir, $*)
-	python$* setup.py install \
-		--root=$(CURDIR)/debian/python-lxml --install-layout=deb
-
-dbg-install-python%:
-	mkdir -p debian/python-lxml/usr/bin
-	mkdir -p debian/python-lxml-dbg/$(call py_libdir, $*)
-	python$*-dbg setup.py install \
-		--root=$(CURDIR)/debian/python-lxml-dbg --install-layout=deb
-	find debian/python-*-dbg ! -type d ! -name '*.so' | xargs rm -f
-	find debian/python-*-dbg -depth -empty -exec rmdir {} \;
 
 install3-python%:
 	mkdir -p debian/python3-lxml/usr/bin
@@ -124,11 +92,7 @@
 	dh_installchangelogs -a CHANGES.txt
 	dh_installdocs -a CREDITS.txt README.rst TODO.txt
 	dh_installexamples -a samples/*
-	dh_python2 -a
 	dh_python3 -a
-	dh_strip -ppython-lxml --dbg-package=python-lxml-dbg
-	rm -rf debian/python-lxml-dbg/usr/share/doc/python-lxml-dbg
-	ln -s python-lxml debian/python-lxml-dbg/usr/share/doc/python-lxml-dbg
 	dh_strip -ppython3-lxml --dbg-package=python3-lxml-dbg
 	rm -rf debian/python3-lxml-dbg/usr/share/doc/python3-lxml-dbg
 	ln -s python3-lxml debian/python3-lxml-dbg/usr/share/doc/python3-lxml-dbg
