## lxml 4.6.1

=== debian/changelog ===
lxml (4.6.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 11 Nov 2020 14:49:46 +0100

lxml (4.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Oct 2020 18:02:16 +0200
