=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lxml
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 10),
   dh-python,
   python3-all-dev (>= 3.3.3), python3-all-dbg,
@@ -11,6 +10,7 @@
   python3-bs4,
   python3-html5lib,
   cython3, cython3-dbg,
+#  python3-sphinx-autoapi,
 X-Python-Version: all
 Standards-Version: 4.5.0
 Homepage: http://lxml.de/
