## lxml 4.6.2

=== debian/changelog ===
lxml (4.6.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    Closes: #974684
  * Do not Build-Depend python3-sphinx-autoapi

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2020 09:40:41 +0100

lxml (4.6.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Dec 2020 18:22:48 +0100
