=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
   python3-bs4,
   python3-html5lib,
   cython3, cython3-dbg,
-#  python3-sphinx-autoapi,
 X-Python-Version: all
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://lxml.de/
 
 Package: python3-lxml
