=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,10 @@
 build3-stamp: $(PY3VERS:%=build3-python%) $(PY3VERS:%=dbg-build3-python%)
 	touch $@
 build3-python%: prebuild
-	python$* setup.py build --with-cython
+	python$* setup.py build
 	touch $@
 dbg-build3-python%: prebuild
-	python$*-dbg setup.py build --with-cython
+	python$*-dbg setup.py build
 	touch $@
 
 clean:
