## lxml 4.6.3

=== debian/changelog ===
lxml (4.6.3-1ubuntu0.2~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 12 Jan 2022 14:18:50 +0000

lxml (4.6.3-1ubuntu0.2) hirsute-security; urgency=medium

  * SECURITY UPDATE: XSS vulnerability
    - debian/patches/CVE-2021-43818-*.patch: prevent "@import"
      from re-occurring in the CSS after replacements and remove
      SVG image data URLs since they can embed script content in
      src/lxml/html/clean.py, src/html/tests/test_clean.py.
    - CVE-2021-43818

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 04 Jan 2022 09:22:22 -0300

lxml (4.6.3-1) unstable; urgency=high

  * New upstream version.
    - A vulnerability (CVE-2021-28957) was discovered in the HTML Cleaner,
      which allowed JavaScript to pass through. The cleaner now removes the
      HTML5 formaction attribute. 

 -- Matthias Klose <doko@debian.org>  Mon, 22 Mar 2021 14:31:55 +0100
