=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lxml
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 10),
   dh-python,
   python3-all-dev (>= 3.3.3), python3-all-dbg,
@@ -10,6 +11,7 @@
   python3-bs4,
   python3-html5lib,
   cython3, cython3-dbg,
+  python3-sphinx-autoapi,
 X-Python-Version: all
 Standards-Version: 4.5.1
 Homepage: http://lxml.de/
