=== debian/changelog ===
lxml (4.6.3+dfsg-0.1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Cleaner: Prevent "@import" from re-occurring in the CSS after
    replacements, e.g. "@@importimport" (CVE-2021-43818) (Closes: #1001885)
  * Cleaner: Remove SVG image data URLs since they can embed script content
    (CVE-2021-43818) (Closes: #1001885)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 08 Jan 2022 15:06:02 +0100

lxml (4.6.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Repack upstream to drop non-free and unused file (Closes: #988717)
  * Build and ship documentation (Closes: #799334)

 -- Paul Gevers <elbrus@debian.org>  Sat, 26 Jun 2021 19:40:37 +0200
