=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	touch $@
 build3-python%: prebuild
 	python$* setup.py build
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	python$* doc/mkhtml.py doc/html . $(UPSTREAMVER)
+endif
 	touch $@
 dbg-build3-python%: prebuild
 	python$*-dbg setup.py build
